Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Gateway

Creates a new AI gateway. The gateway receives a unique domain upon creation.

POST/gateway/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • locationQuerystringrequired

    Location

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

Request body

application/json

object
namestringrequired

Name of the gateway. Must be unique within the project.

examplemy-ai-gateway
descriptionstring

Optional description for the gateway.

exampleProduction gateway for LLM routing
environmentstring

Optional environment tag.

exampleproduction

Responses

201Gateway created successfully. Use the Get Gateway Details endpoint to fetch `domain`, `status`, and `rules`.
object
codeinteger
example201
dataobject
errorsobject
messagestring
exampleCreated Successfully